<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="utf-8">
    <title>{{ title }}</title>
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <style>
        *,
        *::before,
        *::after {
            box-sizing: border-box;
        }

        .lkdm_vw__img-fluid {
            height: auto;
            display: block;
            max-width: 100%;
        }

        .lkdm_vw__ico-svg {
            position: relative;
            display: inline-block;
            width: auto;
            height: 100%;
            -webkit-transform: translate(0, 0);
            transform: translate(0, 0);
        }

        .lkdm_vw__container {
            width: 130px;
            height: 180px;
            position: fixed;
            left: 20px;
            bottom: 30px;
            overflow: hidden;
            border-radius: 20px;
            z-index: 99999;
            font-family: 'Segoe UI', Helvetica, Arial, sans-serif;
            transform: scale(1);
            transition: 0.3s;
            box-shadow: 0 0 8px 0 rgba(0, 0, 0, 0.25);
            -moz-user-select: none;
            -ms-user-select: none;
            user-select: none;
        }

        .lkdm_vw__container--open {
            height: 500px;
            width: 280px;
            border-radius: 20px;
            box-shadow: 0 0 8px 0 rgba(0, 0, 0, 0.25);
            transition: all 0.3s ease-in-out 0s;
            transform: scale(1) !important;
        }

        .lkdm_vw__container--open:hover {
            transform: scale(1) !important;
            box-shadow: 0 0 8px 0 rgba(0, 0, 0, 0.5);
            transition: all 0.3s ease-in-out 0s;
        }

        .lkdm_vw__container--open .lkdm_vw__link {
            opacity: 1;
            visibility: visible;
            transition: .3s;
        }

        .lkdm_vw__container--open .lkdm_vw__content {
            opacity: 1;
            visibility: visible;
            transition: .3s;
        }

        .lkdm_vw__container--open .lkdm_vw__toggle {
            top: 12px;
            right: 12px;
            width: 2rem;
            height: 2rem;
            opacity: 1;
            visibility: visible;
            transition: .3s;
            transform: scale(1);
        }

        .lkdm_vw__container--open .lkdm_vw__toggle:after, .lkdm_vw__container--open .lkdm_vw__toggle:before {
            top: calc(50% - 1px);
            left: calc(50% - 6px);
            width: 12px;
            height: 2px;
            content: '';
            background: #fff;
            position: absolute;
        }

        .lkdm_vw__container--open .lkdm_vw__toggle:hover {
            transform: scale(1.1);
            transition: .3s;
        }

        .lkdm_vw__container--open .lkdm_vw__mute {
            opacity: 1;
            visibility: visible;
        }

        .lkdm_vw__container--open .lkdm_vw__time {
            opacity: 1;
            visibility: visible;
        }

        .lkdm_vw__container--open .lkdm_vw__play {
            display: block;
            visibility: visible;
        }

        .lkdm_vw__container--open .lkdm_vw__play.active {
            animation: pulse 2.5s;
        }

        .lkdm_vw__container--open .lkdm_vw__stop {
            display: block;
            visibility: visible;
        }

        .lkdm_vw__container--open .lkdm_vw__stop.active {
            animation: pulse 2.5s;
        }

        .lkdm_vw__container--open .lkdm_vw__text {
            opacity: 0;
            visibility: hidden;
        }

        .lkdm_vw__container--open .lkdm_vw__button {
            display: block;
        }

        .lkdm_vw__container--open .lkdm_vw__progressbar {
            opacity: 1;
            visibility: visible;
        }

        .lkdm_vw__container--hide {
            display: none;
        }

        .lkdm_vw__container--right {
            left: auto;
            right: 20px;
        }

        .lkdm_vw__container--right.lkdm_vw__container--inverse {
            left: 20px;
            right: auto;
        }

        .lkdm_vw__container--inverse {
            left: auto;
            right: 20px;
        }

        .lkdm_vw__container--border .lkdm_vw__link {
            left: 4px;
            right: 4px;
            bottom: 4px;
        }

        .lkdm_vw__container:hover {
            transform: scale(1.05);
            box-shadow: 0 0 8px 0 rgba(0, 0, 0, 0.5);
            transition: 0.3s;
        }

        .lkdm_vw__container:hover .lkdm_vw__toggle {
            opacity: 1;
            visibility: visible;
            transition: .3s;
        }

        .lkdm_vw__media {
            margin: 0;
            padding: 0;
            width: 100%;
            height: 100%;
            overflow: hidden;
            cursor: pointer;
            position: relative;
            border-radius: 20px;
        }

        .lkdm_vw__content {
            left: 0;
            right: 0;
            bottom: 30px;
            z-index: 50;
            opacity: 0;
            position: absolute;
            visibility: hidden;
            padding: 0 32px 32px 32px;
            animation-name: showButton;
            animation-duration: 5s;
        }

        .lkdm_vw__video {
            z-index: 1;
            object-fit: cover;
            position: absolute;
            top: 50%;
            left: 50%;
            -webkit-transform: translate(-50%, -50%);
            -ms-transform: translate(-50%, -50%);
            transform: translate(-50%, -50%);
            width: 100%;
            height: 100%;
            min-width: 100%;
            min-height: 100%;
        }

        .lkdm_vw__toggle {
            top: 8px;
            right: 8px;
            z-index: 100;
            width: 22px;
            height: 22px;
            position: absolute;
            cursor: pointer;
            border-radius: 50%;
            opacity: 0;
            visibility: hidden;
            background: rgba(0, 0, 0, 0.2);
            transition: .3s;
        }

        .lkdm_vw__toggle:after, .lkdm_vw__toggle:before {
            top: calc(50% - 1px);
            left: calc(50% - 4px);
            width: 8px;
            height: 1px;
            content: '';
            background: #fff;
            position: absolute;
        }

        .lkdm_vw__toggle:after {
            transform: rotate(45deg);
        }

        .lkdm_vw__toggle:before {
            transform: rotate(-45deg);
        }

        .lkdm_vw__toggle:hover {
            background: rgba(0, 0, 0, 0.4);
            transition: .3s;
        }

        .lkdm_vw__link {
            left: 0;
            right: 0;
            bottom: 0;
            z-index: 50;
            color: #fff;
            overflow: hidden;
            position: absolute;
            text-decoration: none;
            height: 30px;
            border-radius: 0 0 18px 18px;
            display: flex;
            font-size: 13px;
            line-height: 18px;
            align-items: center;
            justify-content: center;
            background: rgba(0, 0, 0, 0.3);
            transition: .3s;
            opacity: 0;
            visibility: hidden;
        }

        .lkdm_vw__link:hover {
            color: #fff;
            text-decoration: none;
            background: rgba(0, 0, 0, 0.6);
            transition: .3s;
        }

        .lkdm_vw__link--text {
            display: block;
            margin-right: 8px;
        }

        .lkdm_vw__link--image {
            width: 90px;
            font-size: 0;
            line-height: 0;
            display: block;
        }

        .lkdm_vw__link img {
            height: auto;
            display: block;
            max-width: 100%;
        }

        .lkdm_vw__button {
            color: #fff;
            outline: none;
            cursor: pointer;
            width: 100%;
            height: 50px;
            font-weight: 400;
            font-size: 14px;
            line-height: 20px;
            padding: 12px 32px;
            user-select: none;
            text-align: center;
            white-space: nowrap;
            position: relative;
            text-decoration: none;
            display: none;
            align-items: center;
            justify-content: center;
            vertical-align: middle;
            border: 0.0625rem solid transparent;
            background: #ffb13d;
            border-radius: 1.5625rem;
            transform: scale(1);
            transition: .3s;
        }

        .lkdm_vw__button:hover {
            color: #fff;
            text-decoration: none;
            transform: scale(1.1);
            transition: .3s;
        }

        .lkdm_vw__button:active {
            background: #ffdd2d;
        }

        .lkdm_vw__button:focus, .lkdm_vw__button.focus {
            outline: 0;
        }

        .lkdm_vw__progressbar {
            top: 0;
            left: 8px;
            right: 8px;
            z-index: 5;
            opacity: 0;
            visibility: hidden;
            position: absolute;
            transition: opacity .3s;
        }

        .lkdm_vw__progress {
            top: 0;
            left: 0;
            right: 0;
            width: 100%;
            height: 5px;
            border-radius: 2px;
            background: #ff3d3e;
            position: relative;
            transition: .3s;
        }

        .lkdm_vw__mute {
            top: 54px;
            right: 12px;
            margin: 0;
            padding: 0;
            z-index: 100;
            border: none;
            outline: none;
            cursor: pointer;
            width: 2rem;
            height: 2rem;
            font-size: 0;
            line-height: 0;
            position: absolute;
            display: flex;
            align-items: center;
            justify-content: center;
            fill: #fff;
            border-radius: 50%;
            background: rgba(0, 0, 0, 0.2);
            transform: scale(1);
            opacity: 0;
            visibility: hidden;
            transition: .3s;
        }

        .lkdm_vw__mute i {
            height: 14px;
            display: inline-block;
            position: relative;
            flex-shrink: 0;
        }

        .lkdm_vw__mute i + i {
            left: 1px;
            display: none;
        }

        .lkdm_vw__mute:hover {
            background: rgba(0, 0, 0, 0.4);
            transform: scale(1.1);
            transition: .3s;
        }

        .lkdm_vw__mute--off i {
            display: none;
        }

        .lkdm_vw__mute--off i + i {
            display: inline-block;
        }

        .lkdm_vw__time {
            position: absolute;
            top: 15px;
            left: 12px;
            color: white;
            font-size: 12px;
            z-index: 400;
            width: 40px;
            opacity: 0;
            visibility: hidden;
        }

        .lkdm_vw__play {
            position: absolute;
            top: calc(50% - 36px);
            left: calc(50% - 36px);
            width: 72px;
            height: 72px;
            z-index: 70;
            display: none;
            opacity: 0;
            visibility: hidden;
        }

        .lkdm_vw__stop {
            position: absolute;
            top: calc(50% - 36px);
            left: calc(50% - 36px);
            width: 72px;
            height: 72px;
            z-index: 70;
            display: none;
            opacity: 0;
            visibility: hidden;
        }

        .lkdm_vw__text {
            top: 36px;
            left: 14px;
            right: 20px;
            color: #fff;
            font-size: 14px;
            line-height: 20px;
            overflow: hidden;
            text-overflow: ellipsis;
            max-height: 120px;
            z-index: 10;
            position: absolute;
            opacity: 1;
            visibility: visible;
        }

        .lkdm_vw__border {
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            z-index: 10;
            position: absolute;
            border-radius: 20px;
            border: 4px solid #fff;
        }

        @media (min-width: 992px) {
            .lkdm_vw__container--inverse {
                left: 20px;
                right: auto;
            }
            .lkdm_vw__container--right.lkdm_vw__container--inverse {
                left: auto;
                right: 20px;
            }
        }

        @keyframes showButton {
            from {
                opacity: 0;
                visibility: hidden;
            }
            95% {
                opacity: 0;
                visibility: hidden;
            }
            to {
                opacity: 1;
                visibility: visible;
            }
        }

        @keyframes pulse {
            0% {
                transform: scale(0.8);
                opacity: 0.3;
            }
            50% {
                transform: scale(1);
                box-shadow: 0 0 0 100px rgba(90, 153, 212, 0);
            }
            100% {
                transform: scale(2);
                box-shadow: 0 0 0 0 rgba(90, 153, 212, 0);
                opacity: 0;
            }
        }

    </style>
</head>
<body>

    <div class="lkdm_vw__container">
        <div class="lkdm_vw__progressbar">
            <div class="lkdm_vw__progress"></div>
        </div>
        <div class="lkdm_vw__media">
            <video class="lkdm_vw__video" id="video" autoplay muted loop src="https://cdn.vidwidget.ru/storage/videos/00b67bb6-1bea-4d03-8a4f-ac1bc33b6e22.mp4"></video>
            <div class="lkdm_vw__stop">
                <svg width="72" height="72" viewBox="0 0 72 72" fill="none" xmlns="http://www.w3.org/2000/svg" class="lkdm_vw__ico-svg">
                    <rect width="72" height="72" rx="36" fill="#222222"></rect>
                    <rect x="40" y="24" width="4" height="24" rx="1" fill="white"></rect>
                    <rect x="28" y="24" width="4" height="24" rx="1" fill="white"></rect>
                </svg>
            </div>
            <div class="lkdm_vw__play">
                <svg width="72" height="72" viewBox="0 0 72 72" fill="none" xmlns="http://www.w3.org/2000/svg" class="lkdm_vw__ico-svg">
                    <rect width="72" height="72" rx="36" fill="#222222"></rect>
                    <path d="M50.5 35.134C51.1667 35.5189 51.1667 36.4811 50.5 36.866L29.5 48.9904C28.8333 49.3753 28 48.8942 28 48.1244L28 23.8756C28 23.1058 28.8333 22.6247 29.5 23.0096L50.5 35.134Z" fill="white"></path>
                </svg>
            </div>
        </div>
        <div class="lkdm_vw__content">
            <button class="lkdm_vw__button" type="button">Регистрация</button>
        </div>
        <a href="#" class="lkdm_vw__link">
            <span class="lkdm_vw__link--text">Видеовиджет</span>
            <i class="lkdm_vw__link--image">
                <img src="https://cp.vidwidget.ru/api/img/logo.png"  alt="">
            </i>
        </a>
        <div class="lkdm_vw__time">
            <span class="lkdm_vw__time--minutes">00</span>:<span class="lkdm_vw__time--seconds">00</span>
        </div>
        <div class="lkdm_vw__toggle" data-lkdm-close></div>
        <button type="button" class="lkdm_vw__mute" data-lkdm-mute>
            <i>
                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 576 512" class="lkdm_vw__ico-svg">
                    <path d="M333.2 34.84c-4.201-1.896-8.729-2.841-13.16-2.841c-7.697 0-15.29 2.784-21.27 8.1L163.8 160H80c-26.51 0-48 21.49-48 47.1v95.1c0 26.51 21.49 47.1 48 47.1h83.84l134.9 119.9C304.7 477.2 312.3 480 320 480c4.438 0 8.959-.9312 13.16-2.837C344.7 472 352 460.6 352 448V64C352 51.41 344.7 39.1 333.2 34.84zM304 412.4L182.1 304H80v-95.1h102.1L304 99.64V412.4zM444.6 181.9c-4.471-3.629-9.857-5.401-15.2-5.401c-6.949 0-13.83 2.994-18.55 8.807c-8.406 10.25-6.906 25.37 3.375 33.78C425.5 228.4 432 241.8 432 256s-6.5 27.62-17.81 36.87c-10.28 8.406-11.78 23.53-3.375 33.78c4.719 5.812 11.62 8.812 18.56 8.812c5.344 0 10.75-1.781 15.19-5.406C467.1 311.6 480 284.7 480 256C480 227.3 467.1 200.4 444.6 181.9zM505.1 108c-4.455-3.637-9.842-5.417-15.2-5.417c-6.934 0-13.82 2.979-18.58 8.761c-8.406 10.25-6.906 25.37 3.344 33.78C508.6 172.9 528 213.3 528 256c0 42.69-19.44 83.09-53.31 110.9c-10.25 8.406-11.75 23.53-3.344 33.78c4.75 5.781 11.62 8.781 18.56 8.781c5.375 0 10.75-1.781 15.22-5.437C550.2 367.1 576 313.1 576 256C576 198.9 550.2 144.9 505.1 108z"/>
                </svg>
            </i>
            <i>
                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 576 512" class="lkdm_vw__ico-svg">
                    <path d="M301.2 34.85c-4.201-1.896-8.74-2.848-13.17-2.848c-7.697 0-15.29 2.784-21.27 8.1L131.8 160H48c-26.51 0-48 21.49-48 47.1v95.1c0 26.51 21.49 47.1 48 47.1h83.84l134.9 119.9c5.984 5.312 13.58 8.094 21.26 8.094c4.438 0 8.972-.9375 13.17-2.844c11.5-5.156 18.82-16.56 18.82-29.16V64C319.1 51.41 312.7 40 301.2 34.85zM272 412.4L150.1 304H48v-95.1h102.1L272 99.64V412.4zM513.9 255.1l47.03-47.03c9.375-9.375 9.375-24.56 0-33.94s-24.56-9.375-33.94 0L480 222.1L432.1 175c-9.375-9.375-24.56-9.375-33.94 0s-9.375 24.56 0 33.94l47.03 47.03l-47.03 47.03c-9.375 9.375-9.375 24.56 0 33.94c9.373 9.373 24.56 9.381 33.94 0L480 289.9l47.03 47.03c9.373 9.373 24.56 9.381 33.94 0c9.375-9.375 9.375-24.56 0-33.94L513.9 255.1z"/>
                </svg>
            </i>
        </button>
    </div>

    <script>
        (() => {
            const widget = document.querySelector('.lkdm_vw__container');
            const widgetButton = document.querySelector('.lkdm_vw__button');
            const widgetMedia = document.querySelector('.lkdm_vw__media');
            const widgetVideo = document.querySelector('.lkdm_vw__video');
            const widgetMuteButton = document.querySelector('.lkdm_vw__mute');
            const widgetProgressBar = document.querySelector('.lkdm_vw__progressbar');
            const widgetProgress = document.querySelector('.lkdm_vw__progress');
            const widgetTime = document.querySelector('.lkdm_vw__time');
            const widgetTimeSeconds = document.querySelector('.lkdm_vw__time--seconds');
            const widgetStop = document.querySelector('.lkdm_vw__stop');
            const widgetPlay = document.querySelector('.lkdm_vw__play');

            let widgetIsMobile = {
                Android: function () {
                    return navigator.userAgent.match(/Android/i);
                },
                BlackBerry: function () {
                    return navigator.userAgent.match(/BlackBerry/i);
                },
                iOS: function () {
                    return navigator.userAgent.match(/iPhone|iPad|iPod/i);
                },
                Opera: function () {
                    return navigator.userAgent.match(/Opera Mini/i);
                },
                Windows: function () {
                    return navigator.userAgent.match(/IEMobile/i);
                },
                any: function () {
                    return (widgetIsMobile.Android() || widgetIsMobile.BlackBerry() || widgetIsMobile.iOS() || widgetIsMobile.Opera() || widgetIsMobile.Windows());
                }
            };

            let lkdm_vw_options_position = 'left';
            //    left - виджет расположен слева
            //    right - виджет расположен справа

            let lkdm_vw_options_mob_invert = 0;
            //    0 - инверсия на мобильынх отключена
            //    1 - инверсия на мобильных включена (если виджет на ПК-версии слева, то на мобильной - справа, если виджет на ПК-версии справа, то на мобильной - слева)


            let lkdm_vw_options_mob_show = 0;
            //    0 - не показывать виджет на мобильных
            //    1 - показывать виджет всегда

            let lkdm_vw_options_btn = 1;
            //    0 - не показывать CTA-кнопку в виджете
            //    1 - показывать

            //    Цвет CTA-кнопки
            let lkdm_vw_options_btn_color = 'rgba(255,177,61,1)';

            //    Цвет текста в CTA-кнопке
            let lkdm_vw_options_btn_link_color = '#ffffff';

            let lkdm_vw_options_progressbar = 1;

            let lkdm_vw_options_border = 1;

            let lkdm_vw_options_preview_text_enabled = 1;

            let lkdm_vw_options_preview_text = 'Очень интересный текст, Очень интересный текст';

            if (widget) {

                if (lkdm_vw_options_position == 'right') {
                    widget.classList.add('lkdm_vw__container--right')
                }

                if(lkdm_vw_options_border) {
                    let widgetBorder = document.createElement('div');
                    widgetBorder.classList.add('lkdm_vw__border');
                    widgetMedia.appendChild(widgetBorder);
                    widget.classList.add('lkdm_vw__container--border');
                    widgetBorder.style.borderColor = lkdm_vw_options_btn_color;
                    widgetProgressBar.style.top = '4px';
                }

                if(lkdm_vw_options_btn_color) {
                    widgetButton.style.background = lkdm_vw_options_btn_color;
                }

                if(lkdm_vw_options_btn_link_color) {
                    widgetButton.style.color = lkdm_vw_options_btn_link_color;
                }

                if(!lkdm_vw_options_btn) {
                    widgetButton.remove();
                }

                if(lkdm_vw_options_mob_invert) {
                    widget.classList.add('lkdm_vw__container--inverse');
                }

                if(!lkdm_vw_options_mob_show) {

                    if (widgetIsMobile.any()) {
                        widget.remove();
                    };
                }

                if (lkdm_vw_options_preview_text_enabled) {
                    let widgetText = document.createElement('div');
                    widgetText.classList.add('lkdm_vw__text');
                    widgetText.textContent = lkdm_vw_options_preview_text;
                    widgetMedia.appendChild(widgetText);
                }

                if (lkdm_vw_options_progressbar) {
                    widgetVideo.addEventListener('loadedmetadata', function() {
                        let videoPercent = 100 / Math.round(widgetVideo.duration);
                        console.log(videoPercent);

                        function progressLoop() {
                            setInterval(function () {
                                let videoPosition = Math.round(widgetVideo.currentTime * videoPercent) + '%';
                                widgetTimeSeconds.innerHTML = Math.round(widgetVideo.currentTime).toString().padStart(2, '0');
                                widgetProgress.style.width = videoPosition;
                            });
                        }
                        progressLoop();
                    });
                }
                else {
                    widgetProgressBar.remove();
                    widgetTime.remove();
                }

                document.addEventListener('click', lkdmWidget);

                function lkdmWidget(event){

                    if (event.target.closest('.lkdm_vw__media')) {
                        if(widget.classList.contains('lkdm_vw__container--open')) {
                            if (widgetVideo.paused) {
                                widgetVideo.play();
                                widgetStop.classList.remove('active');
                                widgetPlay.classList.add('active');
                            } else {
                                widgetVideo.pause();
                                widgetStop.classList.add('active');
                                widgetPlay.classList.remove('active');
                            }
                        }
                        else {
                            widget.classList.add('lkdm_vw__container--open');
                            widget.classList.add('lkdm_vw__container--active');
                            widgetVideo.currentTime = 0;
                            widgetVideo.muted = false;
                        }
                    }
                    if (event.target.closest('[data-lkdm-close]')) {
                        let isOpen = document.querySelector('.lkdm_vw__container--open');
                        if (isOpen) {
                            widget.classList.remove('lkdm_vw__container--open');
                            widget.classList.remove('lkdm_vw__container--active');
                            widgetVideo.play();
                            widgetVideo.muted = true;
                        }
                        else {
                            widget.classList.add('lkdm_vw__container--hide');
                        }
                    }
                    if (event.target.closest('[data-lkdm-mute]')){
                        widgetVideo.muted = !widgetVideo.muted;
                        widgetMuteButton.classList.toggle('lkdm_vw__mute--off')
                    }

                    if (event.target.closest('.lkdm_vw__container')) {

                    }
                    else {
                        widget.classList.remove('lkdm_vw__container--open');
                        widget.classList.remove('lkdm_vw__container--active');
                        widgetVideo.play();
                        widgetVideo.muted = true;
                    }
                }
            }

        })();

    </script>
</body>
</html>
